Subject: pre-commit hook, non-zero exit status and dangling objects

From: Сергей Шарыбин <[email-masked]>
Date: Sun, 24 Aug 2008 16:57:52 +0600

Hi,

After pre-commit returned non-zero status, I could see new dangling 
objects in my repo. I think it's not normal, because pre-commit is often 
used for checking formation of source files and after changing this 
files, hash of object will be also changed and even after successfull 
commit dangling object will be still alive.

--
With best regards, Sergey I. Sharybin